- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Controls::CAnimationFrame Class Reference

Inheritance diagram for Exponent::GUI::Controls::CAnimationFrame:

List of all members.

## Detailed Description

Displays an animation, you choose which frame its showing directly with an index.

Date:
  31/05/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CAnimationFrame.hpp,v 1.6 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file CAnimationFrame.hpp.

## Public Member Functions

- CAnimationFrame (IControlRoot *root, const long uniqueId, const CRect &area)
- virtual void drawControl (CGraphics &graphics)
- virtual void handleLeftButtonDown (CMouseEvent &event)
- virtual void setAnimationImage (IImage *theImage, const long heightOfEachFrame)
- virtual void setFrameNumber (const long frameNumber)
- virtual ~CAnimationFrame ()

## Protected Attributes

- long m_frameHeight
- long m_frameNumber
- CRect m_offsetArea

## Constructor & Destructor Documentation

Exponent::GUI::Controls::CAnimationFrame::CAnimationFrame | ( | IControlRoot * | root,
|  | const long | uniqueId,
|  | const CRect & | area |
| ) |  |  |

Construction

Parameters:

  | root | The root control that this control is being added to
  | uniqueId | The unique Identifier of this control or CCONTROL_NO_ID_REQUIRED if no id is required
  | area | The area of this control relative to the root controls top left

virtual Exponent::GUI::Controls::CAnimationFrame::~CAnimationFrame | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

virtual void Exponent::GUI::Controls::CAnimationFrame::drawControl | ( | CGraphics & | graphics | ) | `[virtual]`

Draw the control

Parameters:

  | graphics | The graphics context

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CAnimationFrame::handleLeftButtonDown | ( | CMouseEvent & | event | ) | `[virtual]`

Handle left button being clicked

Parameters:

  | event | The mouse event

Reimplemented from Exponent::GUI::Controls::CControl.

virtual void Exponent::GUI::Controls::CAnimationFrame::setAnimationImage | ( | IImage * | theImage,
|  | const long | heightOfEachFrame |
| ) |  |  | `[virtual]`

Set the image

Parameters:

  | theImage | The image to display
  | heightOfEachFrame | The height of each frame of the animation

virtual void Exponent::GUI::Controls::CAnimationFrame::setFrameNumber | ( | const long | frameNumber | ) | `[virtual]`

Set the frame number

Parameters:

  | frameNumber | The frame to display

## Member Data Documentation

long Exponent::GUI::Controls::CAnimationFrame::m_frameHeight`[protected]`

Total height of each frame

Definition at line 92 of file CAnimationFrame.hpp.

long Exponent::GUI::Controls::CAnimationFrame::m_frameNumber`[protected]`

Which frame is currently being displayed

Definition at line 93 of file CAnimationFrame.hpp.

CRect Exponent::GUI::Controls::CAnimationFrame::m_offsetArea`[protected]`

What is the area to be drawn?

Definition at line 94 of file CAnimationFrame.hpp.